[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'TimePopup' (#lcl)

# TTimePopupForm.FormDeactivate

Performs action needed when the form is deactivated.

## Declaration

Source position: timepopup.pas line 66

`published procedure TTimePopupForm.FormDeactivate(`
`Sender: TObject`
`);`

## Arguments

`Sender` |  | Object for the event notification.

## Description

FormDeactivate reimplements the FormDeactivate event handler for the form. FormDeactivate call the Hide method to immediately hide the form. Otherwise, it would remain visible while in a Drag operation, for example. If not already active, the Close method is called prior to exiting from the method.

## See also

TCustomForm.Close
TCustomForm.Hide